# Saphir Benchmarking Test

Saphir is a fast and lightweight web framework that aims to give lowlevel control over your web stack without the pain of re-doing everything from scratch.

* [Repo](https://github.com/richerarc/saphir)
* [API Documentation](https://docs.rs/saphir/)
* Cargo package: [saphir](https://crates.io/crates/saphir)

### Test Type Implementation Source Code

* [JSON](src/controller.rs)
* [PLAINTEXT](src/controller.rs)
* [DB](src/controller.rs)
* [QUERY](src/controller.rs)
* [CACHED QUERY](src/controller.rs)
* [UPDATE](src/controller.rs)
* [FORTUNES](src/controller.rs)

## Test URLs
### JSON

http://localhost:8080/json

### PLAINTEXT

http://localhost:8080/plaintext

### ~~DB~~

~~http://localhost:8080/db~~

### ~~QUERY~~

~~http://localhost:8080/query?queries=~~

### ~~CACHED QUERY~~

~~http://localhost:8080/cached-worlds?count=~~

### ~~UPDATE~~

~~http://localhost:8080/bulk-update?queries=~~

### ~~FORTUNES~~

~~http://localhost:8080/fortunes~~
